Name:           perl-Net-ASN
Version:        1.08
Release:        1%{?dist}
Summary:        Perl extension for manipulating autonomous system numbers
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/Net-ASN
Source0:        https://cpan.metacpan.org/authors/id/D/DF/DFREEDMAN/Net-ASN-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(vars)
# Tests:
BuildRequires:  perl(Test::More)
Requires:       perl(Exporter)

%description
Net::ASN provides functions for parsing autonomous system numbers (ASNs) as
defined in RFC 1771 and extended by RFC 4893, also converting between
formats discussed in RFC 5396.

%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       perl-Test-Harness

%description tests
Tests from %{name}. Execute them
with "%{_libexecdir}/%{name}/test".

%prep
%autosetup -p1 -n Net-ASN-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*
# Install tests
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
#!/bin/sh
cd %{_libexecdir}/%{name} && exec prove -I .
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
make test

%files
%doc Changes examples README
%dir %{perl_vendorlib}/Net
%{perl_vendorlib}/Net/ASN.pm
%{_mandir}/man3/Net::ASN.*

%files tests
%{_libexecdir}/%{name}

%changelog
* Tue Oct 08 2024 Petr Pisar <ppisar@redhat.com> - 1.08-1
- 1.08 bump

* Thu Oct 03 2024 Petr Pisar <ppisar@redhat.com> 1.07-1
- Specfile autogenerated by cpanspec 1.78.
